# $Revision: 1.18 $, $Date: 2003/05/23 10:25:42 $

Summary:	H.323 gatekeeper
Summary(pl):	Zarzdca bramki H.323
Name:		gnugk
Version:	2.0.2
Release:	1
License:	GPL v2
Group:		Applications/Communications
Source0:	http://www.gnugk.org/download/gk-%{version}.tgz
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Patch0:		%{name}-mak_files.patch
Patch1:		%{name}-openh323_headers.patch
URL:		http://www.gnugk.org
BuildRequires:	openh323-devel >= 1.10.4
Prereq:		/sbin/chkconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
%requires_eq	openh323

%description
A H.323 gatekeeper controls all H.323 clients (endpoints like MS
Netmeeting) in his zone. Its most important function is address
translation between symbolic alias addresses and IP addresses. This
way you can call "jan" instead of knowing which IP address he
currently works on.

%description -l pl
Zarzdca bramki kontroluje wszystkich klientw H.323 (kocwki podobne
do MS Netmeeting) w swojej strefie. Jego najwaniejsz funkcj jest
translacja adresw pomidzy symbolicznymi aliasami a adresami IP. W
ten sposb moesz woa "jan" zamiast podawa adres IP stanowiska
gdzie pracuje.

%prep
%setup -qn openh323gk
%patch0 -p1
%patch1 -p1

%build
NO_LDAP=1; export NO_LDAP
NO_MYSQL=1; export NO_MYSQL
PWLIBDIR=%{_prefix}; export PWLIBDIR
OPENH323DIR=%{_prefix}; export OPENH323DIR
%{__make} %{?debug:debugshared}%{!?debug:optshared} \
	OPTCCFLAGS="%{!?debug:$RPM_OPT_FLAGS}"
	CC="%{__cc}" CPLUS="%{__cxx}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_sysconfdir}{/rc.d/init.d,/sysconfig}}

install obj_*/%{name} $RPM_BUILD_ROOT%{_sbindir}

# this config was insecure, insert empty file instead
#install etc/gnugk.ini $RPM_BUILD_ROOT%{_sysconfdir}
echo ";; See example config files in %{_docdir}/%{name}-%{version}" >$RPM_BUILD_ROOT%{_sysconfdir}/gnugk.ini

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/gnugk
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/gnugk

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add gnugk
if [ -r /var/lock/subsys/gnugk ]; then
	/etc/rc.d/init.d/gnugk restart >&2
else
	echo "Run \"/etc/rc.d/init.d/gnugk start\" to start OpenH323 gatekeeper."
fi

%preun
if [ "$1" = "0" ]; then
	if [ -r /var/lock/subsys/gnugk ]; then
		/etc/rc.d/init.d/gnugk stop >&2
	fi
	/sbin/chkconfig --del gnugk
fi

%files
%defattr(644,root,root,755)
%doc *.txt docs etc
%attr(755,root,root) %{_sbindir}/*
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/gnugk.ini
%attr(754,root,root) /etc/rc.d/init.d/gnugk
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) /etc/sysconfig/gnugk

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: gnugk.spec,v $
Revision 1.18  2003/05/23 10:25:42  blues
- license change

Revision 1.17  2003/02/13 08:32:35  marcus
- added some docs

Revision 1.16  2002/12/07 14:33:00  ankry
- fix improper usage of %%{_sysconfdir}

Revision 1.15  2002/12/01 11:24:48  aflinta
- grrr, updated tp version 2.0.2

Revision 1.14  2002/12/01 11:23:42  aflinta
- updated to version 2.0.1

Revision 1.13  2002/11/19 20:54:52  aflinta
- cleanup

Revision 1.12  2002/11/19 20:46:24  aflinta
- updated to version 2.0.1

Revision 1.11  2002/11/18 00:16:02  marcus
- back to 2.0a rel.4.
2.1b1 DO NOT BUILD

Revision 1.10  2002/11/17 14:14:04  kloczek
- updated to 2.1b1.

Revision 1.9  2002/11/02 09:48:43  ankry
- rel. 3

Revision 1.8  2002/11/01 22:50:58  klakier
- removed insecure config

Revision 1.7  2002/10/28 11:53:55  marcus
- rel.2.

Revision 1.4  2002/08/20 20:53:33  kloczek
- pass correct C and C++ compilator names to in %build.

Revision 1.3  2002/08/15 13:49:55  aflinta
- another cosmetics

Revision 1.2  2002/08/15 13:33:07  aflinta
- removed nest specific line ;)

Revision 1.1  2002/08/15 13:21:41  aflinta
- moved from gk.spec

Revision 1.16  2002/08/15 09:41:33  aflinta
- updated to version 2.0a

Revision 1.15  2002/07/09 17:11:08  marcus
- fixed binary name

Revision 1.14  2002/07/09 16:43:03  aflinta
- updated to version 2.0beta9
- NFY

Revision 1.13  2002/04/25 16:24:21  arturs
fixed a small typo

Revision 1.12  2002/04/12 20:42:40  mmazur
- finally builds; rel 1; STBR for test

Revision 1.11  2002/04/12 14:42:02  aflinta
 - started update to version 2.0

Revision 1.10  2002/02/23 02:17:44  kloczek
- adapterized.

Revision 1.9  2002/02/22 23:28:57  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/01/18 02:13:03  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2001/09/24 13:00:56  qboosh
- Prereq: /sbin/chkconfig

Revision 1.6  2001/07/26 05:42:07  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.4  2001/02/28 09:27:14  jajcus
- Version: 0.15

Revision 1.3  2001/01/17 23:30:06  kloczek
- small fix in %install for allow build on non-x86 archs.

Revision 1.2  2001/01/11 14:38:09  jajcus
- make it build with latest pwlib/openh323

Revision 1.1  2001/01/07 16:01:14  jajcus
- initial spec
